Opcode (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class Opcode

    java.lang.Object
      org.python.core.Opcode

    public class Opcode

extends Object

Field Summary
`static int` | `BINARY_ADD`
`static int` | `BINARY_AND`
`static int` | `BINARY_DIVIDE`
`static int` | `BINARY_FLOOR_DIVIDE`
`static int` | `BINARY_LSHIFT`
`static int` | `BINARY_MODULO`
`static int` | `BINARY_MULTIPLY`
`static int` | `BINARY_OR`
`static int` | `BINARY_POWER`
`static int` | `BINARY_RSHIFT`
`static int` | `BINARY_SUBSCR`
`static int` | `BINARY_SUBTRACT`
`static int` | `BINARY_TRUE_DIVIDE`
`static int` | `BINARY_XOR`
`static int` | `BREAK_LOOP`
`static int` | `BUILD_CLASS`
`static int` | `BUILD_LIST`
`static int` | `BUILD_MAP`
`static int` | `BUILD_SLICE`
`static int` | `BUILD_TUPLE`
`static int` | `CALL_FUNCTION`
`static int` | `CALL_FUNCTION_KW`
`static int` | `CALL_FUNCTION_VAR`
`static int` | `CALL_FUNCTION_VAR_KW`
`static int` | `COMPARE_OP`
`static int` | `CONTINUE_LOOP`
`static int` | `DELETE_ATTR`
`static int` | `DELETE_FAST`
`static int` | `DELETE_GLOBAL`
`static int` | `DELETE_NAME`
`static int` | `DELETE_SLICE`
`static int` | `DELETE_SUBSCR`
`static int` | `DUP_TOP`
`static int` | `DUP_TOPX`
`static int` | `END_FINALLY`
`static int` | `EXEC_STMT`
`static int` | `EXTENDED_ARG`
`static int` | `FOR_ITER`
`static int` | `GET_ITER`
`static int` | `HAVE_ARGUMENT`
`static int` | `IMPORT_FROM`
`static int` | `IMPORT_NAME`
`static int` | `IMPORT_STAR`
`static int` | `INPLACE_ADD`
`static int` | `INPLACE_AND`
`static int` | `INPLACE_DIVIDE`
`static int` | `INPLACE_FLOOR_DIVIDE`
`static int` | `INPLACE_LSHIFT`
`static int` | `INPLACE_MODULO`
`static int` | `INPLACE_MULTIPLY`
`static int` | `INPLACE_OR`
`static int` | `INPLACE_POWER`
`static int` | `INPLACE_RSHIFT`
`static int` | `INPLACE_SUBTRACT`
`static int` | `INPLACE_TRUE_DIVIDE`
`static int` | `INPLACE_XOR`
`static int` | `JUMP_ABSOLUTE`
`static int` | `JUMP_FORWARD`
`static int` | `JUMP_IF_FALSE`
`static int` | `JUMP_IF_TRUE`
`static int` | `LIST_APPEND`
`static int` | `LOAD_ATTR`
`static int` | `LOAD_CLOSURE`
`static int` | `LOAD_CONST`
`static int` | `LOAD_DEREF`
`static int` | `LOAD_FAST`
`static int` | `LOAD_GLOBAL`
`static int` | `LOAD_LOCALS`
`static int` | `LOAD_NAME`
`static int` | `MAKE_CLOSURE`
`static int` | `MAKE_FUNCTION`
`static int` | `NOP`
`static int` | `POP_BLOCK`
`static int` | `POP_TOP`
`static int` | `PRINT_EXPR`
`static int` | `PRINT_ITEM`
`static int` | `PRINT_ITEM_TO`
`static int` | `PRINT_NEWLINE`
`static int` | `PRINT_NEWLINE_TO`
`static int` | `PyCmp_EQ`
`static int` | `PyCmp_EXC_MATCH`
`static int` | `PyCmp_GE`
`static int` | `PyCmp_GT`
`static int` | `PyCmp_IN`
`static int` | `PyCmp_IS`
`static int` | `PyCmp_IS_NOT`
`static int` | `PyCmp_LE`
`static int` | `PyCmp_LT`
`static int` | `PyCmp_NE`
`static int` | `PyCmp_NOT_IN`
`static int` | `RAISE_VARARGS`
`static int` | `RETURN_VALUE`
`static int` | `ROT_FOUR`
`static int` | `ROT_THREE`
`static int` | `ROT_TWO`
`static int` | `SETUP_EXCEPT`
`static int` | `SETUP_FINALLY`
`static int` | `SETUP_LOOP`
`static int` | `SLICE`
`static int` | `STORE_ATTR`
`static int` | `STORE_DEREF`
`static int` | `STORE_FAST`
`static int` | `STORE_GLOBAL`
`static int` | `STORE_NAME`
`static int` | `STORE_SLICE`
`static int` | `STORE_SUBSCR`
`static int` | `UNARY_CONVERT`
`static int` | `UNARY_INVERT`
`static int` | `UNARY_NEGATIVE`
`static int` | `UNARY_NOT`
`static int` | `UNARY_POSITIVE`
`static int` | `UNPACK_SEQUENCE`
`static int` | `WITH_CLEANUP`
`static int` | `YIELD_VALUE`

Constructor Summary
`Opcode()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POP_TOP

    public static final int POP_TOP

See Also:
  Constant Field Values

### ROT_TWO

    public static final int ROT_TWO

See Also:
  Constant Field Values

### ROT_THREE

    public static final int ROT_THREE

See Also:
  Constant Field Values

### DUP_TOP

    public static final int DUP_TOP

See Also:
  Constant Field Values

### ROT_FOUR

    public static final int ROT_FOUR

See Also:
  Constant Field Values

### NOP

    public static final int NOP

See Also:
  Constant Field Values

### UNARY_POSITIVE

    public static final int UNARY_POSITIVE

See Also:
  Constant Field Values

### UNARY_NEGATIVE

    public static final int UNARY_NEGATIVE

See Also:
  Constant Field Values

### UNARY_NOT

    public static final int UNARY_NOT

See Also:
  Constant Field Values

### UNARY_CONVERT

    public static final int UNARY_CONVERT

See Also:
  Constant Field Values

### UNARY_INVERT

    public static final int UNARY_INVERT

See Also:
  Constant Field Values

### LIST_APPEND

    public static final int LIST_APPEND

See Also:
  Constant Field Values

### BINARY_POWER

    public static final int BINARY_POWER

See Also:
  Constant Field Values

### BINARY_MULTIPLY

    public static final int BINARY_MULTIPLY

See Also:
  Constant Field Values

### BINARY_DIVIDE

    public static final int BINARY_DIVIDE

See Also:
  Constant Field Values

### BINARY_MODULO

    public static final int BINARY_MODULO

See Also:
  Constant Field Values

### BINARY_ADD

    public static final int BINARY_ADD

See Also:
  Constant Field Values

### BINARY_SUBTRACT

    public static final int BINARY_SUBTRACT

See Also:
  Constant Field Values

### BINARY_SUBSCR

    public static final int BINARY_SUBSCR

See Also:
  Constant Field Values

### BINARY_FLOOR_DIVIDE

    public static final int BINARY_FLOOR_DIVIDE

See Also:
  Constant Field Values

### BINARY_TRUE_DIVIDE

    public static final int BINARY_TRUE_DIVIDE

See Also:
  Constant Field Values

### INPLACE_FLOOR_DIVIDE

    public static final int INPLACE_FLOOR_DIVIDE

See Also:
  Constant Field Values

### INPLACE_TRUE_DIVIDE

    public static final int INPLACE_TRUE_DIVIDE

See Also:
  Constant Field Values

### SLICE

    public static final int SLICE

See Also:
  Constant Field Values

### STORE_SLICE

    public static final int STORE_SLICE

See Also:
  Constant Field Values

### DELETE_SLICE

    public static final int DELETE_SLICE

See Also:
  Constant Field Values

### INPLACE_ADD

    public static final int INPLACE_ADD

See Also:
  Constant Field Values

### INPLACE_SUBTRACT

    public static final int INPLACE_SUBTRACT

See Also:
  Constant Field Values

### INPLACE_MULTIPLY

    public static final int INPLACE_MULTIPLY

See Also:
  Constant Field Values

### INPLACE_DIVIDE

    public static final int INPLACE_DIVIDE

See Also:
  Constant Field Values

### INPLACE_MODULO

    public static final int INPLACE_MODULO

See Also:
  Constant Field Values

### STORE_SUBSCR

    public static final int STORE_SUBSCR

See Also:
  Constant Field Values

### DELETE_SUBSCR

    public static final int DELETE_SUBSCR

See Also:
  Constant Field Values

### BINARY_LSHIFT

    public static final int BINARY_LSHIFT

See Also:
  Constant Field Values

### BINARY_RSHIFT

    public static final int BINARY_RSHIFT

See Also:
  Constant Field Values

### BINARY_AND

    public static final int BINARY_AND

See Also:
  Constant Field Values

### BINARY_XOR

    public static final int BINARY_XOR

See Also:
  Constant Field Values

### BINARY_OR

    public static final int BINARY_OR

See Also:
  Constant Field Values

### INPLACE_POWER

    public static final int INPLACE_POWER

See Also:
  Constant Field Values

### GET_ITER

    public static final int GET_ITER

See Also:
  Constant Field Values

### PRINT_EXPR

    public static final int PRINT_EXPR

See Also:
  Constant Field Values

### PRINT_ITEM

    public static final int PRINT_ITEM

See Also:
  Constant Field Values

### PRINT_NEWLINE

    public static final int PRINT_NEWLINE

See Also:
  Constant Field Values

### PRINT_ITEM_TO

    public static final int PRINT_ITEM_TO

See Also:
  Constant Field Values

### PRINT_NEWLINE_TO

    public static final int PRINT_NEWLINE_TO

See Also:
  Constant Field Values

### INPLACE_LSHIFT

    public static final int INPLACE_LSHIFT

See Also:
  Constant Field Values

### INPLACE_RSHIFT

    public static final int INPLACE_RSHIFT

See Also:
  Constant Field Values

### INPLACE_AND

    public static final int INPLACE_AND

See Also:
  Constant Field Values

### INPLACE_XOR

    public static final int INPLACE_XOR

See Also:
  Constant Field Values

### INPLACE_OR

    public static final int INPLACE_OR

See Also:
  Constant Field Values

### BREAK_LOOP

    public static final int BREAK_LOOP

See Also:
  Constant Field Values

### WITH_CLEANUP

    public static final int WITH_CLEANUP

See Also:
  Constant Field Values

### LOAD_LOCALS

    public static final int LOAD_LOCALS

See Also:
  Constant Field Values

### RETURN_VALUE

    public static final int RETURN_VALUE

See Also:
  Constant Field Values

### IMPORT_STAR

    public static final int IMPORT_STAR

See Also:
  Constant Field Values

### EXEC_STMT

    public static final int EXEC_STMT

See Also:
  Constant Field Values

### YIELD_VALUE

    public static final int YIELD_VALUE

See Also:
  Constant Field Values

### POP_BLOCK

    public static final int POP_BLOCK

See Also:
  Constant Field Values

### END_FINALLY

    public static final int END_FINALLY

See Also:
  Constant Field Values

### BUILD_CLASS

    public static final int BUILD_CLASS

See Also:
  Constant Field Values

### HAVE_ARGUMENT

    public static final int HAVE_ARGUMENT

See Also:
  Constant Field Values

### STORE_NAME

    public static final int STORE_NAME

See Also:
  Constant Field Values

### DELETE_NAME

    public static final int DELETE_NAME

See Also:
  Constant Field Values

### UNPACK_SEQUENCE

    public static final int UNPACK_SEQUENCE

See Also:
  Constant Field Values

### FOR_ITER

    public static final int FOR_ITER

See Also:
  Constant Field Values

### STORE_ATTR

    public static final int STORE_ATTR

See Also:
  Constant Field Values

### DELETE_ATTR

    public static final int DELETE_ATTR

See Also:
  Constant Field Values

### STORE_GLOBAL

    public static final int STORE_GLOBAL

See Also:
  Constant Field Values

### DELETE_GLOBAL

    public static final int DELETE_GLOBAL

See Also:
  Constant Field Values

### DUP_TOPX

    public static final int DUP_TOPX

See Also:
  Constant Field Values

### LOAD_CONST

    public static final int LOAD_CONST

See Also:
  Constant Field Values

### LOAD_NAME

    public static final int LOAD_NAME

See Also:
  Constant Field Values

### BUILD_TUPLE

    public static final int BUILD_TUPLE

See Also:
  Constant Field Values

### BUILD_LIST

    public static final int BUILD_LIST

See Also:
  Constant Field Values

### BUILD_MAP

    public static final int BUILD_MAP

See Also:
  Constant Field Values

### LOAD_ATTR

    public static final int LOAD_ATTR

See Also:
  Constant Field Values

### COMPARE_OP

    public static final int COMPARE_OP

See Also:
  Constant Field Values

### IMPORT_NAME

    public static final int IMPORT_NAME

See Also:
  Constant Field Values

### IMPORT_FROM

    public static final int IMPORT_FROM

See Also:
  Constant Field Values

### JUMP_FORWARD

    public static final int JUMP_FORWARD

See Also:
  Constant Field Values

### JUMP_IF_FALSE

    public static final int JUMP_IF_FALSE

See Also:
  Constant Field Values

### JUMP_IF_TRUE

    public static final int JUMP_IF_TRUE

See Also:
  Constant Field Values

### JUMP_ABSOLUTE

    public static final int JUMP_ABSOLUTE

See Also:
  Constant Field Values

### LOAD_GLOBAL

    public static final int LOAD_GLOBAL

See Also:
  Constant Field Values

### CONTINUE_LOOP

    public static final int CONTINUE_LOOP

See Also:
  Constant Field Values

### SETUP_LOOP

    public static final int SETUP_LOOP

See Also:
  Constant Field Values

### SETUP_EXCEPT

    public static final int SETUP_EXCEPT

See Also:
  Constant Field Values

### SETUP_FINALLY

    public static final int SETUP_FINALLY

See Also:
  Constant Field Values

### LOAD_FAST

    public static final int LOAD_FAST

See Also:
  Constant Field Values

### STORE_FAST

    public static final int STORE_FAST

See Also:
  Constant Field Values

### DELETE_FAST

    public static final int DELETE_FAST

See Also:
  Constant Field Values

### RAISE_VARARGS

    public static final int RAISE_VARARGS

See Also:
  Constant Field Values

### CALL_FUNCTION

    public static final int CALL_FUNCTION

See Also:
  Constant Field Values

### MAKE_FUNCTION

    public static final int MAKE_FUNCTION

See Also:
  Constant Field Values

### BUILD_SLICE

    public static final int BUILD_SLICE

See Also:
  Constant Field Values

### MAKE_CLOSURE

    public static final int MAKE_CLOSURE

See Also:
  Constant Field Values

### LOAD_CLOSURE

    public static final int LOAD_CLOSURE

See Also:
  Constant Field Values

### LOAD_DEREF

    public static final int LOAD_DEREF

See Also:
  Constant Field Values

### STORE_DEREF

    public static final int STORE_DEREF

See Also:
  Constant Field Values

### CALL_FUNCTION_VAR

    public static final int CALL_FUNCTION_VAR

See Also:
  Constant Field Values

### CALL_FUNCTION_KW

    public static final int CALL_FUNCTION_KW

See Also:
  Constant Field Values

### CALL_FUNCTION_VAR_KW

    public static final int CALL_FUNCTION_VAR_KW

See Also:
  Constant Field Values

### EXTENDED_ARG

    public static final int EXTENDED_ARG

See Also:
  Constant Field Values

### PyCmp_LT

    public static final int PyCmp_LT

See Also:
  Constant Field Values

### PyCmp_LE

    public static final int PyCmp_LE

See Also:
  Constant Field Values

### PyCmp_EQ

    public static final int PyCmp_EQ

See Also:
  Constant Field Values

### PyCmp_NE

    public static final int PyCmp_NE

See Also:
  Constant Field Values

### PyCmp_GT

    public static final int PyCmp_GT

See Also:
  Constant Field Values

### PyCmp_GE

    public static final int PyCmp_GE

See Also:
  Constant Field Values

### PyCmp_IN

    public static final int PyCmp_IN

See Also:
  Constant Field Values

### PyCmp_NOT_IN

    public static final int PyCmp_NOT_IN

See Also:
  Constant Field Values

### PyCmp_IS

    public static final int PyCmp_IS

See Also:
  Constant Field Values

### PyCmp_IS_NOT

    public static final int PyCmp_IS_NOT

See Also:
  Constant Field Values

### PyCmp_EXC_MATCH

    public static final int PyCmp_EXC_MATCH

See Also:
  Constant Field Values

Constructor Detail

### Opcode

    public Opcode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage